package com.sheep.gamegroup.event;

/**
 * @ Created by Dlg
 * @ <p>TiTle:  BigEvent</p>
 * @ <p>Description: 弄个万能的事件发送类，有了这个类，不用写那么多那么多垃圾Event代码了</p>
 * @ date:  2017/6/21 14:05
 * @ QQ:    315096953
 */

public class BigEvent {
    private EventTypes eventTypes;//事件类型，用来区分所有事件
    private Object data;//主要用来传些值
    private Integer others;//用户的int传值更方便而已

    public static BigEvent get() {
        return new BigEvent();
    }

    public Object getData() {
        return data;
    }

    public BigEvent setData(Object data) {
        this.data = data;
        return this;
    }

    public EventTypes getEventTypes() {
        return eventTypes;
    }

    public BigEvent setEventTypes(EventTypes eventTypes) {
        this.eventTypes = eventTypes;
        return this;
    }

    public Integer getOthers() {
        return others;
    }

    public BigEvent setOthers(Integer others) {
        this.others = others;
        return this;
    }
}
